#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   941 */ "CSSFontFaceRule" "\0"
  /*   957 */ "CSSFontFeatureValuesRule" "\0"
  /*   982 */ "CSSFontPaletteValuesRule" "\0"
  /*  1007 */ "CSSGroupingRule" "\0"
  /*  1023 */ "CSSImportRule" "\0"
  /*  1037 */ "CSSKeyframeRule" "\0"
  /*  1053 */ "CSSKeyframesRule" "\0"
  /*  1070 */ "CSSLayerBlockRule" "\0"
  /*  1088 */ "CSSLayerStatementRule" "\0"
  /*  1110 */ "CSSMediaRule" "\0"
  /*  1123 */ "CSSMozDocumentRule" "\0"
  /*  1142 */ "CSSNamespaceRule" "\0"
  /*  1159 */ "CSSPageRule" "\0"
  /*  1171 */ "CSSPropertyRule" "\0"
  /*  1187 */ "CSSPseudoElement" "\0"
  /*  1204 */ "CSSRule" "\0"
  /*  1212 */ "CSSRuleList" "\0"
  /*  1224 */ "CSSStyleDeclaration" "\0"
  /*  1244 */ "CSSStyleRule" "\0"
  /*  1257 */ "CSSStyleSheet" "\0"
  /*  1271 */ "CSSSupportsRule" "\0"
  /*  1287 */ "CSSTransition" "\0"
  /*  1301 */ "Cache" "\0"
  /*  1307 */ "CacheStorage" "\0"
  /*  1320 */ "CallbackDebuggerNotification" "\0"
  /*  1349 */ "CanonicalBrowsingContext" "\0"
  /*  1374 */ "CanvasCaptureMediaStream" "\0"
  /*  1399 */ "CanvasGradient" "\0"
  /*  1414 */ "CanvasPattern" "\0"
  /*  1428 */ "CanvasRenderingContext2D" "\0"
  /*  1453 */ "CaretPosition" "\0"
  /*  1467 */ "CaretStateChangedEvent" "\0"
  /*  1490 */ "ChannelMergerNode" "\0"
  /*  1508 */ "ChannelSplitterNode" "\0"
  /*  1528 */ "ChannelWrapper" "\0"
  /*  1543 */ "CharacterData" "\0"
  /*  1557 */ "CheckerboardReportService" "\0"
  /*  1583 */ "ChildProcessMessageManager" "\0"
  /*  1610 */ "ChildSHistory" "\0"
  /*  1624 */ "ChromeMessageBroadcaster" "\0"
  /*  1649 */ "ChromeMessageSender" "\0"
  /*  1669 */ "ChromeNodeList" "\0"
  /*  1684 */ "ChromeUtils" "\0"
  /*  1696 */ "ChromeWorker" "\0"
  /*  1709 */ "Client" "\0"
  /*  1716 */ "Clients" "\0"
  /*  1724 */ "Clipboard" "\0"
  /*  1734 */ "ClipboardEvent" "\0"
  /*  1749 */ "ClipboardItem" "\0"
  /*  1763 */ "ClonedErrorHolder" "\0"
  /*  1781 */ "CloseEvent" "\0"
  /*  1792 */ "CommandEvent" "\0"
  /*  1805 */ "Comment" "\0"
  /*  1813 */ "CompositionEvent" "\0"
  /*  1830 */ "CompressionStream" "\0"
  /*  1848 */ "ConsoleInstance" "\0"
  /*  1864 */ "ConstantSourceNode" "\0"
  /*  1883 */ "ContentFrameMessageManager" "\0"
  /*  1910 */ "ContentProcessMessageManager" "\0"
  /*  1939 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1977 */ "ConvolverNode" "\0"
  /*  1991 */ "CountQueuingStrategy" "\0"
  /*  2012 */ "CreateOfferRequest" "\0"
  /*  2031 */ "Credential" "\0"
  /*  2042 */ "CredentialsContainer" "\0"
  /*  2063 */ "Crypto" "\0"
  /*  2070 */ "CryptoKey" "\0"
  /*  2080 */ "CustomElementRegistry" "\0"
  /*  2102 */ "CustomEvent" "\0"
  /*  2114 */ "CustomStateSet" "\0"
  /*  2129 */ "DOMException" "\0"
  /*  2142 */ "DOMImplementation" "\0"
  /*  2160 */ "DOMLocalization" "\0"
  /*  2176 */ "DOMMatrix" "\0"
  /*  2186 */ "DOMMatrixReadOnly" "\0"
  /*  2204 */ "DOMParser" "\0"
  /*  2214 */ "DOMPoint" "\0"
  /*  2223 */ "DOMPointReadOnly" "\0"
  /*  2240 */ "DOMQuad" "\0"
  /*  2248 */ "DOMRect" "\0"
  /*  2256 */ "DOMRectList" "\0"
  /*  2268 */ "DOMRectReadOnly" "\0"
  /*  2284 */ "DOMRequest" "\0"
  /*  2295 */ "DOMStringList" "\0"
  /*  2309 */ "DOMStringMap" "\0"
  /*  2322 */ "DOMTokenList" "\0"
  /*  2335 */ "DataTransfer" "\0"
  /*  2348 */ "DataTransferItem" "\0"
  /*  2365 */ "DataTransferItemList" "\0"
  /*  2386 */ "DebuggerNotification" "\0"
  /*  2407 */ "DebuggerNotificationObserver" "\0"
  /*  2436 */ "DecompressionStream" "\0"
  /*  2456 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2483 */ "DelayNode" "\0"
  /*  2493 */ "DeprecationReportBody" "\0"
  /*  2515 */ "DeviceAcceleration" "\0"
  /*  2534 */ "DeviceLightEvent" "\0"
  /*  2551 */ "DeviceMotionEvent" "\0"
  /*  2569 */ "DeviceOrientationEvent" "\0"
  /*  2592 */ "DeviceRotationRate" "\0"
  /*  2611 */ "Directory" "\0"
  /*  2621 */ "Document" "\0"
  /*  2630 */ "DocumentFragment" "\0"
  /*  2647 */ "DocumentL10n" "\0"
  /*  2660 */ "DocumentTimeline" "\0"
  /*  2677 */ "DocumentType" "\0"
  /*  2690 */ "DominatorTree" "\0"
  /*  2704 */ "DragEvent" "\0"
  /*  2714 */ "DynamicsCompressorNode" "\0"
  /*  2737 */ "EXT_blend_minmax" "\0"
  /*  2754 */ "EXT_color_buffer_float" "\0"
  /*  2777 */ "EXT_color_buffer_half_float" "\0"
  /*  2805 */ "EXT_disjoint_timer_query" "\0"
  /*  2830 */ "EXT_float_blend" "\0"
  /*  2846 */ "EXT_frag_depth" "\0"
  /*  2861 */ "EXT_sRGB" "\0"
  /*  2870 */ "EXT_shader_texture_lod" "\0"
  /*  2893 */ "EXT_texture_compression_bptc" "\0"
  /*  2922 */ "EXT_texture_compression_rgtc" "\0"
  /*  2951 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2982 */ "EXT_texture_norm16" "\0"
  /*  3001 */ "Element" "\0"
  /*  3009 */ "ElementInternals" "\0"
  /*  3026 */ "EncodedVideoChunk" "\0"
  /*  3044 */ "ErrorEvent" "\0"
  /*  3055 */ "Event" "\0"
  /*  3061 */ "EventCallbackDebuggerNotification" "\0"
  /*  3095 */ "EventCounts" "\0"
  /*  3107 */ "EventSource" "\0"
  /*  3119 */ "EventTarget" "\0"
  /*  3131 */ "Exception" "\0"
  /*  3141 */ "ExtendableEvent" "\0"
  /*  3157 */ "ExtendableMessageEvent" "\0"
  /*  3180 */ "ExtensionAlarms" "\0"
  /*  3196 */ "ExtensionBrowser" "\0"
  /*  3213 */ "ExtensionBrowserSettings" "\0"
  /*  3238 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3278 */ "ExtensionDns" "\0"
  /*  3291 */ "ExtensionEventManager" "\0"
  /*  3313 */ "ExtensionMockAPI" "\0"
  /*  3330 */ "ExtensionPort" "\0"
  /*  3344 */ "ExtensionProxy" "\0"
  /*  3359 */ "ExtensionRuntime" "\0"
  /*  3376 */ "ExtensionScripting" "\0"
  /*  3395 */ "ExtensionSetting" "\0"
  /*  3412 */ "ExtensionTest" "\0"
  /*  3426 */ "External" "\0"
  /*  3435 */ "FeaturePolicy" "\0"
  /*  3449 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3482 */ "FetchEvent" "\0"
  /*  3493 */ "FetchObserver" "\0"
  /*  3507 */ "File" "\0"
  /*  3512 */ "FileList" "\0"
  /*  3521 */ "FileReader" "\0"
  /*  3532 */ "FileReaderSync" "\0"
  /*  3547 */ "FileSystem" "\0"
  /*  3558 */ "FileSystemDirectoryEntry" "\0"
  /*  3583 */ "FileSystemDirectoryHandle" "\0"
  /*  3609 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3649 */ "FileSystemDirectoryIterator" "\0"
  /*  3677 */ "FileSystemDirectoryReader" "\0"
  /*  3703 */ "FileSystemEntry" "\0"
  /*  3719 */ "FileSystemFileEntry" "\0"
  /*  3739 */ "FileSystemFileHandle" "\0"
  /*  3760 */ "FileSystemHandle" "\0"
  /*  3777 */ "FileSystemSyncAccessHandle" "\0"
  /*  3804 */ "FileSystemWritableFileStream" "\0"
  /*  3833 */ "Flex" "\0"
  /*  3838 */ "FlexItemValues" "\0"
  /*  3853 */ "FlexLineValues" "\0"
  /*  3868 */ "FluentBundle" "\0"
  /*  3881 */ "FluentBundleAsyncIterator" "\0"
  /*  3907 */ "FluentBundleIterator" "\0"
  /*  3928 */ "FluentPattern" "\0"
  /*  3942 */ "FluentResource" "\0"
  /*  3957 */ "FocusEvent" "\0"
  /*  3968 */ "FontFace" "\0"
  /*  3977 */ "FontFaceSet" "\0"
  /*  3989 */ "FontFaceSetIterator" "\0"
  /*  4009 */ "FontFaceSetLoadEvent" "\0"
  /*  4030 */ "FormData" "\0"
  /*  4039 */ "FormData Iterator" "\0"
  /*  4057 */ "FormDataEvent" "\0"
  /*  4071 */ "FrameCrashedEvent" "\0"
  /*  4089 */ "FrameLoader" "\0"
  /*  4101 */ "GPU" "\0"
  /*  4105 */ "GPUAdapter" "\0"
  /*  4116 */ "GPUAdapterInfo" "\0"
  /*  4131 */ "GPUBindGroup" "\0"
  /*  4144 */ "GPUBindGroupLayout" "\0"
  /*  4163 */ "GPUBuffer" "\0"
  /*  4173 */ "GPUBufferUsage" "\0"
  /*  4188 */ "GPUCanvasContext" "\0"
  /*  4205 */ "GPUColorWrite" "\0"
  /*  4219 */ "GPUCommandBuffer" "\0"
  /*  4236 */ "GPUCommandEncoder" "\0"
  /*  4254 */ "GPUCompilationInfo" "\0"
  /*  4273 */ "GPUCompilationMessage" "\0"
  /*  4295 */ "GPUComputePassEncoder" "\0"
  /*  4317 */ "GPUComputePipeline" "\0"
  /*  4336 */ "GPUDevice" "\0"
  /*  4346 */ "GPUDeviceLostInfo" "\0"
  /*  4364 */ "GPUError" "\0"
  /*  4373 */ "GPUInternalError" "\0"
  /*  4390 */ "GPUMapMode" "\0"
  /*  4401 */ "GPUOutOfMemoryError" "\0"
  /*  4421 */ "GPUPipelineLayout" "\0"
  /*  4439 */ "GPUQuerySet" "\0"
  /*  4451 */ "GPUQueue" "\0"
  /*  4460 */ "GPURenderBundle" "\0"
  /*  4476 */ "GPURenderBundleEncoder" "\0"
  /*  4499 */ "GPURenderPassEncoder" "\0"
  /*  4520 */ "GPURenderPipeline" "\0"
  /*  4538 */ "GPUSampler" "\0"
  /*  4549 */ "GPUShaderModule" "\0"
  /*  4565 */ "GPUShaderStage" "\0"
  /*  4580 */ "GPUSupportedFeatures" "\0"
  /*  4601 */ "GPUSupportedLimits" "\0"
  /*  4620 */ "GPUTexture" "\0"
  /*  4631 */ "GPUTextureUsage" "\0"
  /*  4647 */ "GPUTextureView" "\0"
  /*  4662 */ "GPUUncapturedErrorEvent" "\0"
  /*  4686 */ "GPUValidationError" "\0"
  /*  4705 */ "GainNode" "\0"
  /*  4714 */ "Gamepad" "\0"
  /*  4722 */ "GamepadAxisMoveEvent" "\0"
  /*  4743 */ "GamepadButton" "\0"
  /*  4757 */ "GamepadButtonEvent" "\0"
  /*  4776 */ "GamepadEvent" "\0"
  /*  4789 */ "GamepadHapticActuator" "\0"
  /*  4811 */ "GamepadLightIndicator" "\0"
  /*  4833 */ "GamepadPose" "\0"
  /*  4845 */ "GamepadServiceTest" "\0"
  /*  4864 */ "GamepadTouch" "\0"
  /*  4877 */ "Geolocation" "\0"
  /*  4889 */ "GeolocationCoordinates" "\0"
  /*  4912 */ "GeolocationPosition" "\0"
  /*  4932 */ "GeolocationPositionError" "\0"
  /*  4957 */ "GetUserMediaRequest" "\0"
  /*  4977 */ "GleanBoolean" "\0"
  /*  4990 */ "GleanCategory" "\0"
  /*  5004 */ "GleanCounter" "\0"
  /*  5017 */ "GleanCustomDistribution" "\0"
  /*  5041 */ "GleanDatetime" "\0"
  /*  5055 */ "GleanDenominator" "\0"
  /*  5072 */ "GleanEvent" "\0"
  /*  5083 */ "GleanImpl" "\0"
  /*  5093 */ "GleanLabeled" "\0"
  /*  5106 */ "GleanMemoryDistribution" "\0"
  /*  5130 */ "GleanMetric" "\0"
  /*  5142 */ "GleanNumerator" "\0"
  /*  5157 */ "GleanPingsImpl" "\0"
  /*  5172 */ "GleanQuantity" "\0"
  /*  5186 */ "GleanRate" "\0"
  /*  5196 */ "GleanString" "\0"
  /*  5208 */ "GleanStringList" "\0"
  /*  5224 */ "GleanText" "\0"
  /*  5234 */ "GleanTimespan" "\0"
  /*  5248 */ "GleanTimingDistribution" "\0"
  /*  5272 */ "GleanUrl" "\0"
  /*  5281 */ "GleanUuid" "\0"
  /*  5291 */ "Grid" "\0"
  /*  5296 */ "GridArea" "\0"
  /*  5305 */ "GridDimension" "\0"
  /*  5319 */ "GridLine" "\0"
  /*  5328 */ "GridLines" "\0"
  /*  5338 */ "GridTrack" "\0"
  /*  5348 */ "GridTracks" "\0"
  /*  5359 */ "HTMLAllCollection" "\0"
  /*  5377 */ "HTMLAnchorElement" "\0"
  /*  5395 */ "HTMLAreaElement" "\0"
  /*  5411 */ "HTMLAudioElement" "\0"
  /*  5428 */ "HTMLBRElement" "\0"
  /*  5442 */ "HTMLBaseElement" "\0"
  /*  5458 */ "HTMLBodyElement" "\0"
  /*  5474 */ "HTMLButtonElement" "\0"
  /*  5492 */ "HTMLCanvasElement" "\0"
  /*  5510 */ "HTMLCollection" "\0"
  /*  5525 */ "HTMLDListElement" "\0"
  /*  5542 */ "HTMLDataElement" "\0"
  /*  5558 */ "HTMLDataListElement" "\0"
  /*  5578 */ "HTMLDetailsElement" "\0"
  /*  5597 */ "HTMLDialogElement" "\0"
  /*  5615 */ "HTMLDirectoryElement" "\0"
  /*  5636 */ "HTMLDivElement" "\0"
  /*  5651 */ "HTMLDocument" "\0"
  /*  5664 */ "HTMLElement" "\0"
  /*  5676 */ "HTMLEmbedElement" "\0"
  /*  5693 */ "HTMLFieldSetElement" "\0"
  /*  5713 */ "HTMLFontElement" "\0"
  /*  5729 */ "HTMLFormControlsCollection" "\0"
  /*  5756 */ "HTMLFormElement" "\0"
  /*  5772 */ "HTMLFrameElement" "\0"
  /*  5789 */ "HTMLFrameSetElement" "\0"
  /*  5809 */ "HTMLHRElement" "\0"
  /*  5823 */ "HTMLHeadElement" "\0"
  /*  5839 */ "HTMLHeadingElement" "\0"
  /*  5858 */ "HTMLHtmlElement" "\0"
  /*  5874 */ "HTMLIFrameElement" "\0"
  /*  5892 */ "HTMLImageElement" "\0"
  /*  5909 */ "HTMLInputElement" "\0"
  /*  5926 */ "HTMLLIElement" "\0"
  /*  5940 */ "HTMLLabelElement" "\0"
  /*  5957 */ "HTMLLegendElement" "\0"
  /*  5975 */ "HTMLLinkElement" "\0"
  /*  5991 */ "HTMLMapElement" "\0"
  /*  6006 */ "HTMLMarqueeElement" "\0"
  /*  6025 */ "HTMLMediaElement" "\0"
  /*  6042 */ "HTMLMenuElement" "\0"
  /*  6058 */ "HTMLMetaElement" "\0"
  /*  6074 */ "HTMLMeterElement" "\0"
  /*  6091 */ "HTMLModElement" "\0"
  /*  6106 */ "HTMLOListElement" "\0"
  /*  6123 */ "HTMLObjectElement" "\0"
  /*  6141 */ "HTMLOptGroupElement" "\0"
  /*  6161 */ "HTMLOptionElement" "\0"
  /*  6179 */ "HTMLOptionsCollection" "\0"
  /*  6201 */ "HTMLOutputElement" "\0"
  /*  6219 */ "HTMLParagraphElement" "\0"
  /*  6240 */ "HTMLParamElement" "\0"
  /*  6257 */ "HTMLPictureElement" "\0"
  /*  6276 */ "HTMLPreElement" "\0"
  /*  6291 */ "HTMLProgressElement" "\0"
  /*  6311 */ "HTMLQuoteElement" "\0"
  /*  6328 */ "HTMLScriptElement" "\0"
  /*  6346 */ "HTMLSelectElement" "\0"
  /*  6364 */ "HTMLSlotElement" "\0"
  /*  6380 */ "HTMLSourceElement" "\0"
  /*  6398 */ "HTMLSpanElement" "\0"
  /*  6414 */ "HTMLStyleElement" "\0"
  /*  6431 */ "HTMLTableCaptionElement" "\0"
  /*  6455 */ "HTMLTableCellElement" "\0"
  /*  6476 */ "HTMLTableColElement" "\0"
  /*  6496 */ "HTMLTableElement" "\0"
  /*  6513 */ "HTMLTableRowElement" "\0"
  /*  6533 */ "HTMLTableSectionElement" "\0"
  /*  6557 */ "HTMLTemplateElement" "\0"
  /*  6577 */ "HTMLTextAreaElement" "\0"
  /*  6597 */ "HTMLTimeElement" "\0"
  /*  6613 */ "HTMLTitleElement" "\0"
  /*  6630 */ "HTMLTrackElement" "\0"
  /*  6647 */ "HTMLUListElement" "\0"
  /*  6664 */ "HTMLUnknownElement" "\0"
  /*  6683 */ "HTMLVideoElement" "\0"
  /*  6700 */ "HashChangeEvent" "\0"
  /*  6716 */ "Headers" "\0"
  /*  6724 */ "Headers Iterator" "\0"
  /*  6741 */ "HeapSnapshot" "\0"
  /*  6754 */ "Highlight" "\0"
  /*  6764 */ "HighlightRegistry" "\0"
  /*  6782 */ "History" "\0"
  /*  6790 */ "IDBCursor" "\0"
  /*  6800 */ "IDBCursorWithValue" "\0"
  /*  6819 */ "IDBDatabase" "\0"
  /*  6831 */ "IDBFactory" "\0"
  /*  6842 */ "IDBIndex" "\0"
  /*  6851 */ "IDBKeyRange" "\0"
  /*  6863 */ "IDBObjectStore" "\0"
  /*  6878 */ "IDBOpenDBRequest" "\0"
  /*  6895 */ "IDBRequest" "\0"
  /*  6906 */ "IDBTransaction" "\0"
  /*  6921 */ "IDBVersionChangeEvent" "\0"
  /*  6943 */ "IIRFilterNode" "\0"
  /*  6957 */ "IOUtils" "\0"
  /*  6965 */ "IdentityCredential" "\0"
  /*  6984 */ "IdleDeadline" "\0"
  /*  6997 */ "Image" "\0"
  /*  7003 */ "ImageBitmap" "\0"
  /*  7015 */ "ImageBitmapRenderingContext" "\0"
  /*  7043 */ "ImageCapture" "\0"
  /*  7056 */ "ImageCaptureError" "\0"
  /*  7074 */ "ImageCaptureErrorEvent" "\0"
  /*  7097 */ "ImageData" "\0"
  /*  7107 */ "ImageDocument" "\0"
  /*  7121 */ "InputEvent" "\0"
  /*  7132 */ "InspectorFontFace" "\0"
  /*  7150 */ "InspectorUtils" "\0"
  /*  7165 */ "InstallTriggerImpl" "\0"
  /*  7184 */ "IntersectionObserver" "\0"
  /*  7205 */ "IntersectionObserverEntry" "\0"
  /*  7231 */ "IntlUtils" "\0"
  /*  7241 */ "InvokeEvent" "\0"
  /*  7253 */ "JSProcessActorChild" "\0"
  /*  7273 */ "JSProcessActorParent" "\0"
  /*  7294 */ "JSWindowActorChild" "\0"
  /*  7313 */ "JSWindowActorParent" "\0"
  /*  7333 */ "KeyEvent" "\0"
  /*  7342 */ "KeyboardEvent" "\0"
  /*  7356 */ "KeyframeEffect" "\0"
  /*  7371 */ "L10nFileSource" "\0"
  /*  7386 */ "L10nOverlays" "\0"
  /*  7399 */ "L10nRegistry" "\0"
  /*  7412 */ "LargestContentfulPaint" "\0"
  /*  7435 */ "LegacyMozTCPSocket" "\0"
  /*  7454 */ "Localization" "\0"
  /*  7467 */ "Location" "\0"
  /*  7476 */ "Lock" "\0"
  /*  7481 */ "LockManager" "\0"
  /*  7493 */ "MIDIAccess" "\0"
  /*  7504 */ "MIDIConnectionEvent" "\0"
  /*  7524 */ "MIDIInput" "\0"
  /*  7534 */ "MIDIInputMap" "\0"
  /*  7547 */ "MIDIMessageEvent" "\0"
  /*  7564 */ "MIDIOutput" "\0"
  /*  7575 */ "MIDIOutputMap" "\0"
  /*  7589 */ "MIDIPort" "\0"
  /*  7598 */ "MOZ_debug" "\0"
  /*  7608 */ "MatchGlob" "\0"
  /*  7618 */ "MatchPattern" "\0"
  /*  7631 */ "MatchPatternSet" "\0"
  /*  7647 */ "MathMLElement" "\0"
  /*  7661 */ "MediaCapabilities" "\0"
  /*  7679 */ "MediaCapabilitiesInfo" "\0"
  /*  7701 */ "MediaControlService" "\0"
  /*  7721 */ "MediaController" "\0"
  /*  7737 */ "MediaDeviceInfo" "\0"
  /*  7753 */ "MediaDevices" "\0"
  /*  7766 */ "MediaElementAudioSourceNode" "\0"
  /*  7794 */ "MediaEncryptedEvent" "\0"
  /*  7814 */ "MediaError" "\0"
  /*  7825 */ "MediaKeyError" "\0"
  /*  7839 */ "MediaKeyMessageEvent" "\0"
  /*  7860 */ "MediaKeySession" "\0"
  /*  7876 */ "MediaKeyStatusMap" "\0"
  /*  7894 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7921 */ "MediaKeySystemAccess" "\0"
  /*  7942 */ "MediaKeys" "\0"
  /*  7952 */ "MediaList" "\0"
  /*  7962 */ "MediaMetadata" "\0"
  /*  7976 */ "MediaQueryList" "\0"
  /*  7991 */ "MediaQueryListEvent" "\0"
  /*  8011 */ "MediaRecorder" "\0"
  /*  8025 */ "MediaRecorderErrorEvent" "\0"
  /*  8049 */ "MediaSession" "\0"
  /*  8062 */ "MediaSource" "\0"
  /*  8074 */ "MediaStream" "\0"
  /*  8086 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8118 */ "MediaStreamAudioSourceNode" "\0"
  /*  8145 */ "MediaStreamError" "\0"
  /*  8162 */ "MediaStreamEvent" "\0"
  /*  8179 */ "MediaStreamTrack" "\0"
  /*  8196 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8228 */ "MediaStreamTrackEvent" "\0"
  /*  8250 */ "MerchantValidationEvent" "\0"
  /*  8274 */ "MessageBroadcaster" "\0"
  /*  8293 */ "MessageChannel" "\0"
  /*  8308 */ "MessageEvent" "\0"
  /*  8321 */ "MessageListenerManager" "\0"
  /*  8344 */ "MessagePort" "\0"
  /*  8356 */ "MessageSender" "\0"
  /*  8370 */ "MimeType" "\0"
  /*  8379 */ "MimeTypeArray" "\0"
  /*  8393 */ "MouseEvent" "\0"
  /*  8404 */ "MouseScrollEvent" "\0"
  /*  8421 */ "MozCanvasPrintState" "\0"
  /*  8441 */ "MozDocumentMatcher" "\0"
  /*  8460 */ "MozDocumentObserver" "\0"
  /*  8480 */ "MozQueryInterface" "\0"
  /*  8498 */ "MozSharedMap" "\0"
  /*  8511 */ "MozSharedMap Iterator" "\0"
  /*  8533 */ "MozSharedMapChangeEvent" "\0"
  /*  8557 */ "MozStorageAsyncStatementParams" "\0"
  /*  8588 */ "MozStorageStatementParams" "\0"
  /*  8614 */ "MozStorageStatementRow" "\0"
  /*  8637 */ "MozWritableSharedMap" "\0"
  /*  8658 */ "MutationEvent" "\0"
  /*  8672 */ "MutationObserver" "\0"
  /*  8689 */ "MutationRecord" "\0"
  /*  8704 */ "NamedNodeMap" "\0"
  /*  8717 */ "NavigationPreloadManager" "\0"
  /*  8742 */ "Navigator" "\0"
  /*  8752 */ "NetworkInformation" "\0"
  /*  8771 */ "Node" "\0"
  /*  8776 */ "NodeFilter" "\0"
  /*  8787 */ "NodeIterator" "\0"
  /*  8800 */ "NodeList" "\0"
  /*  8809 */ "Notification" "\0"
  /*  8822 */ "NotificationEvent" "\0"
  /*  8840 */ "NotifyPaintEvent" "\0"
  /*  8857 */ "OES_draw_buffers_indexed" "\0"
  /*  8882 */ "OES_element_index_uint" "\0"
  /*  8905 */ "OES_fbo_render_mipmap" "\0"
  /*  8927 */ "OES_standard_derivatives" "\0"
  /*  8952 */ "OES_texture_float" "\0"
  /*  8970 */ "OES_texture_float_linear" "\0"
  /*  8995 */ "OES_texture_half_float" "\0"
  /*  9018 */ "OES_texture_half_float_linear" "\0"
  /*  9048 */ "OES_vertex_array_object" "\0"
  /*  9072 */ "OVR_multiview2" "\0"
  /*  9087 */ "OfflineAudioCompletionEvent" "\0"
  /*  9115 */ "OfflineAudioContext" "\0"
  /*  9135 */ "OffscreenCanvas" "\0"
  /*  9151 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9185 */ "OnlyForUseInConstructor" "\0"
  /*  9209 */ "Option" "\0"
  /*  9216 */ "OscillatorNode" "\0"
  /*  9231 */ "PageTransitionEvent" "\0"
  /*  9251 */ "PaintRequest" "\0"
  /*  9264 */ "PaintRequestList" "\0"
  /*  9281 */ "PaintWorkletGlobalScope" "\0"
  /*  9305 */ "PannerNode" "\0"
  /*  9316 */ "ParentProcessMessageManager" "\0"
  /*  9344 */ "Path2D" "\0"
  /*  9351 */ "PathUtils" "\0"
  /*  9361 */ "PaymentAddress" "\0"
  /*  9376 */ "PaymentMethodChangeEvent" "\0"
  /*  9401 */ "PaymentRequest" "\0"
  /*  9416 */ "PaymentRequestUpdateEvent" "\0"
  /*  9442 */ "PaymentResponse" "\0"
  /*  9458 */ "PeerConnectionImpl" "\0"
  /*  9477 */ "PeerConnectionObserver" "\0"
  /*  9500 */ "Performance" "\0"
  /*  9512 */ "PerformanceEntry" "\0"
  /*  9529 */ "PerformanceEntryEvent" "\0"
  /*  9551 */ "PerformanceEventTiming" "\0"
  /*  9574 */ "PerformanceMark" "\0"
  /*  9590 */ "PerformanceMeasure" "\0"
  /*  9609 */ "PerformanceNavigation" "\0"
  /*  9631 */ "PerformanceNavigationTiming" "\0"
  /*  9659 */ "PerformanceObserver" "\0"
  /*  9679 */ "PerformanceObserverEntryList" "\0"
  /*  9708 */ "PerformancePaintTiming" "\0"
  /*  9731 */ "PerformanceResourceTiming" "\0"
  /*  9757 */ "PerformanceServerTiming" "\0"
  /*  9781 */ "PerformanceTiming" "\0"
  /*  9799 */ "PeriodicWave" "\0"
  /*  9812 */ "PermissionStatus" "\0"
  /*  9829 */ "Permissions" "\0"
  /*  9841 */ "PlacesBookmark" "\0"
  /*  9856 */ "PlacesBookmarkAddition" "\0"
  /*  9879 */ "PlacesBookmarkChanged" "\0"
  /*  9901 */ "PlacesBookmarkGuid" "\0"
  /*  9920 */ "PlacesBookmarkKeyword" "\0"
  /*  9942 */ "PlacesBookmarkMoved" "\0"
  /*  9962 */ "PlacesBookmarkRemoved" "\0"
  /*  9984 */ "PlacesBookmarkTags" "\0"
  /* 10003 */ "PlacesBookmarkTime" "\0"
  /* 10022 */ "PlacesBookmarkTitle" "\0"
  /* 10042 */ "PlacesBookmarkUrl" "\0"
  /* 10060 */ "PlacesEvent" "\0"
  /* 10072 */ "PlacesFavicon" "\0"
  /* 10086 */ "PlacesHistoryCleared" "\0"
  /* 10107 */ "PlacesObservers" "\0"
  /* 10123 */ "PlacesPurgeCaches" "\0"
  /* 10141 */ "PlacesRanking" "\0"
  /* 10155 */ "PlacesVisit" "\0"
  /* 10167 */ "PlacesVisitRemoved" "\0"
  /* 10186 */ "PlacesVisitTitle" "\0"
  /* 10203 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10229 */ "Plugin" "\0"
  /* 10236 */ "PluginArray" "\0"
  /* 10248 */ "PluginCrashedEvent" "\0"
  /* 10267 */ "PointerEvent" "\0"
  /* 10280 */ "PopStateEvent" "\0"
  /* 10294 */ "PopupBlockedEvent" "\0"
  /* 10312 */ "PopupPositionedEvent" "\0"
  /* 10333 */ "PositionStateEvent" "\0"
  /* 10352 */ "PrecompiledScript" "\0"
  /* 10370 */ "ProcessMessageManager" "\0"
  /* 10392 */ "ProcessingInstruction" "\0"
  /* 10414 */ "ProgressEvent" "\0"
  /* 10428 */ "PromiseDebugging" "\0"
  /* 10445 */ "PromiseNativeHandler" "\0"
  /* 10466 */ "PromiseRejectionEvent" "\0"
  /* 10488 */ "PublicKeyCredential" "\0"
  /* 10508 */ "PushEvent" "\0"
  /* 10518 */ "PushManager" "\0"
  /* 10530 */ "PushManagerImpl" "\0"
  /* 10546 */ "PushMessageData" "\0"
  /* 10562 */ "PushSubscription" "\0"
  /* 10579 */ "PushSubscriptionOptions" "\0"
  /* 10603 */ "RTCCertificate" "\0"
  /* 10618 */ "RTCDTMFSender" "\0"
  /* 10632 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10655 */ "RTCDataChannel" "\0"
  /* 10670 */ "RTCDataChannelEvent" "\0"
  /* 10690 */ "RTCDtlsTransport" "\0"
  /* 10707 */ "RTCEncodedAudioFrame" "\0"
  /* 10728 */ "RTCEncodedVideoFrame" "\0"
  /* 10749 */ "RTCIceCandidate" "\0"
  /* 10765 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10794 */ "RTCPeerConnection" "\0"
  /* 10812 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10838 */ "RTCPeerConnectionStatic" "\0"
  /* 10862 */ "RTCRtpReceiver" "\0"
  /* 10877 */ "RTCRtpScriptTransform" "\0"
  /* 10899 */ "RTCRtpScriptTransformer" "\0"
  /* 10923 */ "RTCRtpSender" "\0"
  /* 10936 */ "RTCRtpTransceiver" "\0"
  /* 10954 */ "RTCSctpTransport" "\0"
  /* 10971 */ "RTCSessionDescription" "\0"
  /* 10993 */ "RTCStatsReport" "\0"
  /* 11008 */ "RTCTrackEvent" "\0"
  /* 11022 */ "RTCTransformEvent" "\0"
  /* 11040 */ "RadioNodeList" "\0"
  /* 11054 */ "Range" "\0"
  /* 11060 */ "ReadableByteStreamController" "\0"
  /* 11089 */ "ReadableStream" "\0"
  /* 11104 */ "ReadableStream AsyncIterator" "\0"
  /* 11133 */ "ReadableStreamBYOBReader" "\0"
  /* 11158 */ "ReadableStreamBYOBRequest" "\0"
  /* 11184 */ "ReadableStreamDefaultController" "\0"
  /* 11216 */ "ReadableStreamDefaultReader" "\0"
  /* 11244 */ "Report" "\0"
  /* 11251 */ "ReportBody" "\0"
  /* 11262 */ "ReportingObserver" "\0"
  /* 11280 */ "Request" "\0"
  /* 11288 */ "ResizeObserver" "\0"
  /* 11303 */ "ResizeObserverEntry" "\0"
  /* 11323 */ "ResizeObserverSize" "\0"
  /* 11342 */ "Response" "\0"
  /* 11351 */ "SVGAElement" "\0"
  /* 11363 */ "SVGAngle" "\0"
  /* 11372 */ "SVGAnimateElement" "\0"
  /* 11390 */ "SVGAnimateMotionElement" "\0"
  /* 11414 */ "SVGAnimateTransformElement" "\0"
  /* 11441 */ "SVGAnimatedAngle" "\0"
  /* 11458 */ "SVGAnimatedBoolean" "\0"
  /* 11477 */ "SVGAnimatedEnumeration" "\0"
  /* 11500 */ "SVGAnimatedInteger" "\0"
  /* 11519 */ "SVGAnimatedLength" "\0"
  /* 11537 */ "SVGAnimatedLengthList" "\0"
  /* 11559 */ "SVGAnimatedNumber" "\0"
  /* 11577 */ "SVGAnimatedNumberList" "\0"
  /* 11599 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11630 */ "SVGAnimatedRect" "\0"
  /* 11646 */ "SVGAnimatedString" "\0"
  /* 11664 */ "SVGAnimatedTransformList" "\0"
  /* 11689 */ "SVGAnimationElement" "\0"
  /* 11709 */ "SVGCircleElement" "\0"
  /* 11726 */ "SVGClipPathElement" "\0"
  /* 11745 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11781 */ "SVGDefsElement" "\0"
  /* 11796 */ "SVGDescElement" "\0"
  /* 11811 */ "SVGElement" "\0"
  /* 11822 */ "SVGEllipseElement" "\0"
  /* 11840 */ "SVGFEBlendElement" "\0"
  /* 11858 */ "SVGFEColorMatrixElement" "\0"
  /* 11882 */ "SVGFEComponentTransferElement" "\0"
  /* 11912 */ "SVGFECompositeElement" "\0"
  /* 11934 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11961 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11989 */ "SVGFEDisplacementMapElement" "\0"
  /* 12017 */ "SVGFEDistantLightElement" "\0"
  /* 12042 */ "SVGFEDropShadowElement" "\0"
  /* 12065 */ "SVGFEFloodElement" "\0"
  /* 12083 */ "SVGFEFuncAElement" "\0"
  /* 12101 */ "SVGFEFuncBElement" "\0"
  /* 12119 */ "SVGFEFuncGElement" "\0"
  /* 12137 */ "SVGFEFuncRElement" "\0"
  /* 12155 */ "SVGFEGaussianBlurElement" "\0"
  /* 12180 */ "SVGFEImageElement" "\0"
  /* 12198 */ "SVGFEMergeElement" "\0"
  /* 12216 */ "SVGFEMergeNodeElement" "\0"
  /* 12238 */ "SVGFEMorphologyElement" "\0"
  /* 12261 */ "SVGFEOffsetElement" "\0"
  /* 12280 */ "SVGFEPointLightElement" "\0"
  /* 12303 */ "SVGFESpecularLightingElement" "\0"
  /* 12332 */ "SVGFESpotLightElement" "\0"
  /* 12354 */ "SVGFETileElement" "\0"
  /* 12371 */ "SVGFETurbulenceElement" "\0"
  /* 12394 */ "SVGFilterElement" "\0"
  /* 12411 */ "SVGForeignObjectElement" "\0"
  /* 12435 */ "SVGGElement" "\0"
  /* 12447 */ "SVGGeometryElement" "\0"
  /* 12466 */ "SVGGradientElement" "\0"
  /* 12485 */ "SVGGraphicsElement" "\0"
  /* 12504 */ "SVGImageElement" "\0"
  /* 12520 */ "SVGLength" "\0"
  /* 12530 */ "SVGLengthList" "\0"
  /* 12544 */ "SVGLineElement" "\0"
  /* 12559 */ "SVGLinearGradientElement" "\0"
  /* 12584 */ "SVGMPathElement" "\0"
  /* 12600 */ "SVGMarkerElement" "\0"
  /* 12617 */ "SVGMaskElement" "\0"
  /* 12632 */ "SVGMatrix" "\0"
  /* 12642 */ "SVGMetadataElement" "\0"
  /* 12661 */ "SVGNumber" "\0"
  /* 12671 */ "SVGNumberList" "\0"
  /* 12685 */ "SVGPathElement" "\0"
  /* 12700 */ "SVGPathSeg" "\0"
  /* 12711 */ "SVGPathSegArcAbs" "\0"
  /* 12728 */ "SVGPathSegArcRel" "\0"
  /* 12745 */ "SVGPathSegClosePath" "\0"
  /* 12765 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12791 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12817 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12849 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12881 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12911 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12941 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12977 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13013 */ "SVGPathSegLinetoAbs" "\0"
  /* 13033 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13063 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13093 */ "SVGPathSegLinetoRel" "\0"
  /* 13113 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13141 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13169 */ "SVGPathSegList" "\0"
  /* 13184 */ "SVGPathSegMovetoAbs" "\0"
  /* 13204 */ "SVGPathSegMovetoRel" "\0"
  /* 13224 */ "SVGPatternElement" "\0"
  /* 13242 */ "SVGPoint" "\0"
  /* 13251 */ "SVGPointList" "\0"
  /* 13264 */ "SVGPolygonElement" "\0"
  /* 13282 */ "SVGPolylineElement" "\0"
  /* 13301 */ "SVGPreserveAspectRatio" "\0"
  /* 13324 */ "SVGRadialGradientElement" "\0"
  /* 13349 */ "SVGRect" "\0"
  /* 13357 */ "SVGRectElement" "\0"
  /* 13372 */ "SVGSVGElement" "\0"
  /* 13386 */ "SVGScriptElement" "\0"
  /* 13403 */ "SVGSetElement" "\0"
  /* 13417 */ "SVGStopElement" "\0"
  /* 13432 */ "SVGStringList" "\0"
  /* 13446 */ "SVGStyleElement" "\0"
  /* 13462 */ "SVGSwitchElement" "\0"
  /* 13479 */ "SVGSymbolElement" "\0"
  /* 13496 */ "SVGTSpanElement" "\0"
  /* 13512 */ "SVGTextContentElement" "\0"
  /* 13534 */ "SVGTextElement" "\0"
  /* 13549 */ "SVGTextPathElement" "\0"
  /* 13568 */ "SVGTextPositioningElement" "\0"
  /* 13594 */ "SVGTitleElement" "\0"
  /* 13610 */ "SVGTransform" "\0"
  /* 13623 */ "SVGTransformList" "\0"
  /* 13640 */ "SVGUnitTypes" "\0"
  /* 13653 */ "SVGUseElement" "\0"
  /* 13667 */ "SVGViewElement" "\0"
  /* 13682 */ "Sanitizer" "\0"
  /* 13692 */ "Scheduler" "\0"
  /* 13702 */ "Screen" "\0"
  /* 13709 */ "ScreenLuminance" "\0"
  /* 13725 */ "ScreenOrientation" "\0"
  /* 13743 */ "ScriptProcessorNode" "\0"
  /* 13763 */ "ScrollAreaEvent" "\0"
  /* 13779 */ "ScrollViewChangeEvent" "\0"
  /* 13801 */ "SecurityPolicyViolationEvent" "\0"
  /* 13830 */ "Selection" "\0"
  /* 13840 */ "ServiceWorker" "\0"
  /* 13854 */ "ServiceWorkerContainer" "\0"
  /* 13877 */ "ServiceWorkerGlobalScope" "\0"
  /* 13902 */ "ServiceWorkerRegistration" "\0"
  /* 13928 */ "SessionStoreFormData" "\0"
  /* 13949 */ "SessionStoreScrollData" "\0"
  /* 13972 */ "SessionStoreUtils" "\0"
  /* 13990 */ "ShadowRealmGlobalScope" "\0"
  /* 14013 */ "ShadowRoot" "\0"
  /* 14024 */ "SharedWorker" "\0"
  /* 14037 */ "SharedWorkerGlobalScope" "\0"
  /* 14061 */ "SimpleGestureEvent" "\0"
  /* 14080 */ "SourceBuffer" "\0"
  /* 14093 */ "SourceBufferList" "\0"
  /* 14110 */ "SpeechGrammar" "\0"
  /* 14124 */ "SpeechGrammarList" "\0"
  /* 14142 */ "SpeechRecognition" "\0"
  /* 14160 */ "SpeechRecognitionAlternative" "\0"
  /* 14189 */ "SpeechRecognitionError" "\0"
  /* 14212 */ "SpeechRecognitionEvent" "\0"
  /* 14235 */ "SpeechRecognitionResult" "\0"
  /* 14259 */ "SpeechRecognitionResultList" "\0"
  /* 14287 */ "SpeechSynthesis" "\0"
  /* 14303 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14329 */ "SpeechSynthesisEvent" "\0"
  /* 14350 */ "SpeechSynthesisUtterance" "\0"
  /* 14375 */ "SpeechSynthesisVoice" "\0"
  /* 14396 */ "StaticRange" "\0"
  /* 14408 */ "StereoPannerNode" "\0"
  /* 14425 */ "Storage" "\0"
  /* 14433 */ "StorageEvent" "\0"
  /* 14446 */ "StorageManager" "\0"
  /* 14461 */ "StreamFilter" "\0"
  /* 14474 */ "StreamFilterDataEvent" "\0"
  /* 14496 */ "StructuredCloneHolder" "\0"
  /* 14518 */ "StructuredCloneTester" "\0"
  /* 14540 */ "StyleSheet" "\0"
  /* 14551 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14588 */ "StyleSheetList" "\0"
  /* 14603 */ "StyleSheetRemovedEvent" "\0"
  /* 14626 */ "SubmitEvent" "\0"
  /* 14638 */ "SubtleCrypto" "\0"
  /* 14651 */ "SyncMessageSender" "\0"
  /* 14669 */ "SyncReadFile" "\0"
  /* 14682 */ "TCPServerSocket" "\0"
  /* 14698 */ "TCPServerSocketEvent" "\0"
  /* 14719 */ "TCPSocket" "\0"
  /* 14729 */ "TCPSocketErrorEvent" "\0"
  /* 14749 */ "TCPSocketEvent" "\0"
  /* 14764 */ "TaskController" "\0"
  /* 14779 */ "TaskPriorityChangeEvent" "\0"
  /* 14803 */ "TaskSignal" "\0"
  /* 14814 */ "TelemetryStopwatch" "\0"
  /* 14833 */ "TestAttributesOnTypes" "\0"
  /* 14855 */ "TestCEReactionsInterface" "\0"
  /* 14880 */ "TestCImplementedInterface" "\0"
  /* 14906 */ "TestCImplementedInterface2" "\0"
  /* 14933 */ "TestChildInterface" "\0"
  /* 14952 */ "TestConstructorForFuncInterface" "\0"
  /* 14984 */ "TestConstructorForPrefInterface" "\0"
  /* 15016 */ "TestConstructorForSCInterface" "\0"
  /* 15046 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15082 */ "TestDeprecatedInterface" "\0"
  /* 15106 */ "TestExampleInterface" "\0"
  /* 15127 */ "TestExampleProxyInterface" "\0"
  /* 15153 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15193 */ "TestExampleWorkerInterface" "\0"
  /* 15220 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15265 */ "TestFuncConstructorForInterface" "\0"
  /* 15297 */ "TestHTMLConstructorInterface" "\0"
  /* 15326 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15370 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15405 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15440 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15490 */ "TestIndexedGetterInterface" "\0"
  /* 15517 */ "TestIndexedSetterInterface" "\0"
  /* 15544 */ "TestInterface" "\0"
  /* 15558 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15597 */ "TestJSImplInterface" "\0"
  /* 15617 */ "TestJSImplInterface2" "\0"
  /* 15638 */ "TestJSImplInterface3" "\0"
  /* 15659 */ "TestJSImplInterface4" "\0"
  /* 15680 */ "TestJSImplInterface5" "\0"
  /* 15701 */ "TestJSImplInterface6" "\0"
  /* 15722 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15750 */ "TestNamedDeleterInterface" "\0"
  /* 15776 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15812 */ "TestNamedGetterInterface" "\0"
  /* 15837 */ "TestNamedSetterInterface" "\0"
  /* 15862 */ "TestNamespace" "\0"
  /* 15876 */ "TestNonWrapperCacheInterface" "\0"
  /* 15905 */ "TestParentInterface" "\0"
  /* 15925 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15973 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16018 */ "TestPrefConstructorForInterface" "\0"
  /* 16050 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16081 */ "TestRenamedInterface" "\0"
  /* 16102 */ "TestRenamedNamespace" "\0"
  /* 16123 */ "TestSCConstructorForInterface" "\0"
  /* 16153 */ "TestSecureContextInterface" "\0"
  /* 16180 */ "TestThrowingConstructorInterface" "\0"
  /* 16213 */ "TestUtils" "\0"
  /* 16223 */ "TestWorkerExposedInterface" "\0"
  /* 16250 */ "TestingDeprecatedInterface" "\0"
  /* 16277 */ "Text" "\0"
  /* 16282 */ "TextClause" "\0"
  /* 16293 */ "TextDecoder" "\0"
  /* 16305 */ "TextDecoderStream" "\0"
  /* 16323 */ "TextEncoder" "\0"
  /* 16335 */ "TextEncoderStream" "\0"
  /* 16353 */ "TextMetrics" "\0"
  /* 16365 */ "TextTrack" "\0"
  /* 16375 */ "TextTrackCue" "\0"
  /* 16388 */ "TextTrackCueList" "\0"
  /* 16405 */ "TextTrackList" "\0"
  /* 16419 */ "TimeEvent" "\0"
  /* 16429 */ "TimeRanges" "\0"
  /* 16440 */ "ToggleEvent" "\0"
  /* 16452 */ "Touch" "\0"
  /* 16458 */ "TouchEvent" "\0"
  /* 16469 */ "TouchList" "\0"
  /* 16479 */ "TrackEvent" "\0"
  /* 16490 */ "TransformStream" "\0"
  /* 16506 */ "TransformStreamDefaultController" "\0"
  /* 16539 */ "TransitionEvent" "\0"
  /* 16555 */ "TreeColumn" "\0"
  /* 16566 */ "TreeColumns" "\0"
  /* 16578 */ "TreeContentView" "\0"
  /* 16594 */ "TreeWalker" "\0"
  /* 16605 */ "UDPMessageEvent" "\0"
  /* 16621 */ "UDPSocket" "\0"
  /* 16631 */ "UIEvent" "\0"
  /* 16639 */ "URL" "\0"
  /* 16643 */ "URLSearchParams" "\0"
  /* 16659 */ "URLSearchParams Iterator" "\0"
  /* 16684 */ "UniFFIPointer" "\0"
  /* 16698 */ "UniFFIScaffolding" "\0"
  /* 16716 */ "UserActivation" "\0"
  /* 16731 */ "UserInteraction" "\0"
  /* 16747 */ "UserProximityEvent" "\0"
  /* 16766 */ "VRDisplay" "\0"
  /* 16776 */ "VRDisplayCapabilities" "\0"
  /* 16798 */ "VRDisplayEvent" "\0"
  /* 16813 */ "VREyeParameters" "\0"
  /* 16829 */ "VRFieldOfView" "\0"
  /* 16843 */ "VRFrameData" "\0"
  /* 16855 */ "VRMockController" "\0"
  /* 16872 */ "VRMockDisplay" "\0"
  /* 16886 */ "VRPose" "\0"
  /* 16893 */ "VRServiceTest" "\0"
  /* 16907 */ "VRStageParameters" "\0"
  /* 16925 */ "VTTCue" "\0"
  /* 16932 */ "VTTRegion" "\0"
  /* 16942 */ "ValidityState" "\0"
  /* 16956 */ "VideoColorSpace" "\0"
  /* 16972 */ "VideoDecoder" "\0"
  /* 16985 */ "VideoEncoder" "\0"
  /* 16998 */ "VideoFrame" "\0"
  /* 17009 */ "VideoPlaybackQuality" "\0"
  /* 17030 */ "VideoTrack" "\0"
  /* 17041 */ "VideoTrackList" "\0"
  /* 17056 */ "VisualViewport" "\0"
  /* 17071 */ "WEBGL_color_buffer_float" "\0"
  /* 17096 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17126 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17155 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17185 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17216 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17246 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17281 */ "WEBGL_debug_renderer_info" "\0"
  /* 17307 */ "WEBGL_debug_shaders" "\0"
  /* 17327 */ "WEBGL_depth_texture" "\0"
  /* 17347 */ "WEBGL_draw_buffers" "\0"
  /* 17366 */ "WEBGL_explicit_present" "\0"
  /* 17389 */ "WEBGL_lose_context" "\0"
  /* 17408 */ "WEBGL_provoking_vertex" "\0"
  /* 17431 */ "WakeLock" "\0"
  /* 17440 */ "WakeLockSentinel" "\0"
  /* 17457 */ "WaveShaperNode" "\0"
  /* 17472 */ "WebExtensionContentScript" "\0"
  /* 17498 */ "WebExtensionPolicy" "\0"
  /* 17517 */ "WebGL2RenderingContext" "\0"
  /* 17540 */ "WebGLActiveInfo" "\0"
  /* 17556 */ "WebGLBuffer" "\0"
  /* 17568 */ "WebGLContextEvent" "\0"
  /* 17586 */ "WebGLFramebuffer" "\0"
  /* 17603 */ "WebGLProgram" "\0"
  /* 17616 */ "WebGLQuery" "\0"
  /* 17627 */ "WebGLRenderbuffer" "\0"
  /* 17645 */ "WebGLRenderingContext" "\0"
  /* 17667 */ "WebGLSampler" "\0"
  /* 17680 */ "WebGLShader" "\0"
  /* 17692 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17719 */ "WebGLSync" "\0"
  /* 17729 */ "WebGLTexture" "\0"
  /* 17742 */ "WebGLTransformFeedback" "\0"
  /* 17765 */ "WebGLUniformLocation" "\0"
  /* 17786 */ "WebGLVertexArrayObject" "\0"
  /* 17809 */ "WebKitCSSMatrix" "\0"
  /* 17825 */ "WebSocket" "\0"
  /* 17835 */ "WebTransport" "\0"
  /* 17848 */ "WebTransportBidirectionalStream" "\0"
  /* 17880 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17913 */ "WebTransportError" "\0"
  /* 17931 */ "WebTransportReceiveStream" "\0"
  /* 17957 */ "WebTransportSendStream" "\0"
  /* 17980 */ "WebrtcGlobalInformation" "\0"
  /* 18004 */ "WheelEvent" "\0"
  /* 18015 */ "Window" "\0"
  /* 18022 */ "WindowClient" "\0"
  /* 18035 */ "WindowContext" "\0"
  /* 18049 */ "WindowGlobalChild" "\0"
  /* 18067 */ "WindowGlobalParent" "\0"
  /* 18086 */ "WindowRoot" "\0"
  /* 18097 */ "Worker" "\0"
  /* 18104 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18130 */ "WorkerGlobalScope" "\0"
  /* 18148 */ "WorkerLocation" "\0"
  /* 18163 */ "WorkerNavigator" "\0"
  /* 18179 */ "WorkerTestUtils" "\0"
  /* 18195 */ "Worklet" "\0"
  /* 18203 */ "WorkletGlobalScope" "\0"
  /* 18222 */ "WritableStream" "\0"
  /* 18237 */ "WritableStreamDefaultController" "\0"
  /* 18269 */ "WritableStreamDefaultWriter" "\0"
  /* 18297 */ "XMLDocument" "\0"
  /* 18309 */ "XMLHttpRequest" "\0"
  /* 18324 */ "XMLHttpRequestEventTarget" "\0"
  /* 18350 */ "XMLHttpRequestUpload" "\0"
  /* 18371 */ "XMLSerializer" "\0"
  /* 18385 */ "XPathEvaluator" "\0"
  /* 18400 */ "XPathExpression" "\0"
  /* 18416 */ "XPathResult" "\0"
  /* 18428 */ "XRBoundedReferenceSpace" "\0"
  /* 18452 */ "XRFrame" "\0"
  /* 18460 */ "XRInputSource" "\0"
  /* 18474 */ "XRInputSourceArray" "\0"
  /* 18493 */ "XRInputSourceEvent" "\0"
  /* 18512 */ "XRInputSourcesChangeEvent" "\0"
  /* 18538 */ "XRPose" "\0"
  /* 18545 */ "XRReferenceSpace" "\0"
  /* 18562 */ "XRReferenceSpaceEvent" "\0"
  /* 18584 */ "XRRenderState" "\0"
  /* 18598 */ "XRRigidTransform" "\0"
  /* 18615 */ "XRSession" "\0"
  /* 18625 */ "XRSessionEvent" "\0"
  /* 18640 */ "XRSpace" "\0"
  /* 18648 */ "XRSystem" "\0"
  /* 18657 */ "XRView" "\0"
  /* 18664 */ "XRViewerPose" "\0"
  /* 18677 */ "XRViewport" "\0"
  /* 18688 */ "XRWebGLLayer" "\0"
  /* 18701 */ "XSLTProcessor" "\0"
  /* 18715 */ "XULCommandEvent" "\0"
  /* 18731 */ "XULElement" "\0"
  /* 18742 */ "XULFrameElement" "\0"
  /* 18758 */ "XULMenuElement" "\0"
  /* 18773 */ "XULPopupElement" "\0"
  /* 18789 */ "XULResizerElement" "\0"
  /* 18807 */ "XULTextElement" "\0"
  /* 18822 */ "XULTreeElement" "\0"
  /* 18837 */ "console" "\0"
  /* 18845 */ "webkitSpeechGrammar" "\0"
  /* 18865 */ "webkitSpeechGrammarList" "\0"
  /* 18889 */ "webkitSpeechRecognition" "\0"
  /* 18913 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

